com.tibbo.aggregate.common.context

## Class EntityList

- java.lang.Object
- - com.tibbo.aggregate.common.context.EntityList

- All Implemented Interfaces:
    java.lang.Cloneable, java.lang.Iterable<EntityReference>

      public class EntityList
      extends java.lang.Object
      implements java.lang.Cloneable, java.lang.Iterable<EntityReference>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FIELD_CONTEXT`
    `static java.lang.String` | `FIELD_ENTITY`
    `static TableFormat` | `FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityList()`
    `EntityList(DataTable data)`
    `EntityList(EntityReference ref)`
    `EntityList(java.lang.String context, java.lang.String entity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntityReference` | `add(EntityReference ref)`
    `EntityReference` | `add(java.lang.String context, java.lang.String entity)`
    `EntityList` | `clone()`
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.List<EntityReference>` | `getEntities()`
    `int` | `hashCode()`
    `boolean` | `includes(EntityReference ref)`
    `boolean` | `includes(java.lang.String context, java.lang.String entity)`
    `boolean` | `isEmpty()`
    `java.util.Iterator<EntityReference>` | `iterator()`
    `DataTable` | `toDataTable()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### FIELD_CONTEXT

          public static final java.lang.String FIELD_CONTEXT

      See Also:
        Constant Field Values

    - #### FIELD_ENTITY

          public static final java.lang.String FIELD_ENTITY

      See Also:
        Constant Field Values

    - #### FORMAT

          public static final TableFormat FORMAT

  - ### Constructor Detail

    - #### EntityList

          public EntityList()

    - #### EntityList

          public EntityList(DataTable data)

    - #### EntityList

          public EntityList(java.lang.String context,
                            java.lang.String entity)

    - #### EntityList

          public EntityList(EntityReference ref)

  - ### Method Detail

    - #### includes

          public boolean includes(EntityReference ref)

    - #### includes

          public boolean includes(java.lang.String context,
                                  java.lang.String entity)

    - #### toDataTable

          public DataTable toDataTable()

    - #### isEmpty

          public boolean isEmpty()

    - #### add

          public EntityReference add(java.lang.String context,
                                     java.lang.String entity)

    - #### add

          public EntityReference add(EntityReference ref)

    - #### getEntities

          public java.util.List<EntityReference> getEntities()

    - #### iterator

          @Nonnull
          public java.util.Iterator<EntityReference> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<EntityReference>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### clone

          public EntityList clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`